Current-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: postgresql 8.4 semaphores ...

On Tue, Jun 15, 2010 at 05:46:52PM +0100, Matthias Scheler wrote:
|On Tue, Jun 15, 2010 at 10:17:53PM +1000, Malcolm Herbert wrote:
|> ... I've managed to build and install a system from -current over the
|> last day or so however I don't seem to be able to run any pre-compiled
|> 5.0.2_2010Q1 pkgsrc binaries as they all seem to complain of a missing
|> libcrypt ... is this a known (and/or expected) issue?
|Yes, that is expected. The major number of "libcrypto" was bumped in
|NetBSD-current. If you want to run NetBSD 5.0.2 binaries you either
|need to install several missing libraries from the 5.0.2 sets.
|You can alternatively start by installing NetBSD 5.0.2 on your system
|and update to current afterwards.

ah, OK, that would work ... 

|> Also - I'd like to try to build -current again but with the full set of
|> X11 sets ... how do I tell to include these?
|If you run "" without argument it lists all the options including
|these two:
|    -X x11src   Set X11SRCDIR to x11src.  [Default: /usr/xsrc]
|    -x          Set MKX11=yes; build X11 from X11SRCDIR

I tried another build last night, adding the -x option.  This morning it had
failed and looks to have been trying to compile source from the external
set (which would have unpacked into /usr/src/external) ... this is not on
the FTP site however - where can I pick this up from?  I recall bumping
into exactly this problem a year or two ago ...

Malcolm Herbert                                This brain intentionally                                                left 

Home | Main Index | Thread Index | Old Index